.top-left-cloud {
  transition: fill 330ms linear;
  fill: var(--top-left-cloud);
}

.top-left-cloud-shadow {
  transition: fill 330ms linear;
  fill: var(--top-left-cloud-shadow);
}

.top-right-cloud {
  transition: fill 330ms linear;
  fill: var(--top-right-cloud);
}

.top-right-cloud-shadow {
  transition: fill 330ms linear;
  fill: var(--top-right-cloud-shadow);
}

#top-left-cloud-svg {
  position: fixed;
  z-index: 11;
  top: 0;
  left: 0;
  width: 150px;
  height: 142px;
  pointer-events: none;
}
#top-right-cloud-svg {
  position: fixed;
  z-index: 11;
  top: 0;
  right: 0;
  width: 145px;
  height: 139px;
  pointer-events: none;
}

.background-clouds {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.bg-cloud {
  transition: fill 330ms linear;
  fill: var(--background-cloud);
}
.bg-cloud-shadow {
  transition: fill 330ms linear;
  fill: var(--background-cloud-shadow);
}

.background-cloud {
  position: absolute;
  width: auto;
  opacity: 0.3;
}

$background-cloud-duration: 40s;

#cloud-1 {
  height: 80px;
  width: 117px;
  top: 17%;
  left: 9%;
  animation: cloud-1 $background-cloud-duration linear infinite alternate;
}
#cloud-2 {
  height: 70px;
  width: 120px;
  top: 30%;
  right: -4%;
  animation: cloud-2 $background-cloud-duration - 10 linear infinite alternate;
}
#cloud-3 {
  height: 53px;
  width: 91px;
  top: 69%;
  left: 6%;
  animation: cloud-3 $background-cloud-duration + 10 linear infinite alternate;
}
#cloud-4 {
  height: 72px;
  width: 114px;
  top: 79%;
  right: 0;
  animation: cloud-4 $background-cloud-duration linear infinite alternate;
}

@keyframes cloud-1 {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(300%);
  }
}

@keyframes cloud-2 {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(-300%);
  }
}

@keyframes cloud-3 {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(350%);
  }
}

@keyframes cloud-4 {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(-300%);
  }
}

.app-clouds-wrapper [app-cloud-container] {
  width: 160px;
  height: 93px;
  margin-bottom: var(--spacing);

  .add-to-closet {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(-50%, -50%);
    background: #fff !important;

    svg {
      width: 25px;
      height: 25px;
    }
  }
  .add-to-wishlist {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(50%, -50%);
    background: #fff !important;

    svg {
      width: 25px;
      height: 25px;
    }
  }
}
